package org.jboss.cache.search;

import org.hibernate.search.engine.SearchFactoryImplementor;
import org.hibernate.search.reader.ReaderProvider;
import static org.hibernate.search.reader.ReaderProviderHelper.getIndexReaders;
import org.apache.lucene.search.Searcher;
import org.apache.lucene.index.IndexReader;

import java.util.Set;

/**
 * @author Navin Surtani (<a href="mailto:nsurtani@redhat.com">nsurtani@redhat.com</a>)
 */
public class IndexSearcherCloser
{
   static void closeSearcher(Searcher searcher, ReaderProvider readerProvider)
   {
      Set<IndexReader> indexReaders = getIndexReaders(searcher);

      for (IndexReader indexReader : indexReaders)
      {
         readerProvider.closeReader(indexReader);
      }
   }
}
